Topic: Segmentation fault calling rake from Vim 7.3

Hey. Running Lion, I'm getting:

[BUG] Segmentation Fault
Ruby 1.8.7 (2011-12-28 patchlevel 357)

When I try to run :!rake -T

or pretty much any other rake command from within Vim. Works fine from the terminal. Any ideas?